<ngx-loading [show]="loading" [config]="{primaryColour: primaryColour, secondaryColour: secondaryColour, tertiaryColour: primaryColour, backdropBorderRadius: '3px', fullScreenBackdrop: true}" [template]="loadingTemplate"></ngx-loading>
<ng2-toasty [position]="position"></ng2-toasty>

<div class="row">
    <div class="col-md-12 col-xl-12">
        <div class="page-header-breadcrumb" style="float: left">
            <ul class="breadcrumb-title">
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'dashboard']"><i class="icofont icofont-home"></i></a> 
                </li> 
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program']">Kegiatan</a> 
                </li> 
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program', program_id]">Periode Anggaran</a> 
                </li>   
                <li class="breadcrumb-item">
                    <a [routerLink]="['#']" class="not-active">Tambah</a> 
                </li>  
            </ul>
        </div>
    </div>
</div> 
<div class="row">
    <!-- counter-card-1 start-->
    <div class="col-md-12 col-xl-12">

        <br> 
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>Tambah Periode Anggaran </h5>
            </div>
            <div class="card-block">
                
                <form class="md-float-material" [formGroup]="myForm" (ngSubmit)="onSubmit()" (keydown.enter)="$event.preventDefault()">
                
                    <div class="row" style="/*border-bottom: 1px solid rgba(0,0,0,.125); padding-bottom: 10px;*/">
                        <div class="col-sm-2 col-xl-2">  
                            <!-- <button class="btn btn-inverse btn-sm btn-icon" type="button" (click)="showBack()" placement="top" ngbTooltip="Kembali"><i class="icofont icofont-rounded-left" style="font-size: xx-large;"></i></button> -->
                        </div>
                        <div class="col-sm-8 col-xl-8">  
                        </div>
                        <div class="col-sm-2 col-xl-2">
                        </div>
                    </div>
    
                    <div class="row">
                        <div class="col-sm-12 col-xl-12">
                            <h4 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Periode Anggaran</b></h4>
                        </div> 
                        <div class="col-sm-6 col-xl-6">
                            <label class="col-form-label">Tahun Periode</label> 
                            <select class="form-control" placeholder="Periode / Tahun" formControlName="periode" (change)="onChangePeriode($event)">
                                <option value="">-- Pilih Periode --</option>
                                <option *ngFor="let periode of dataPeriode" value={{periode.id}}>
                                    {{periode.tahun}}
                                </option>
                            </select>
                            <span class="messages text-danger" *ngIf="!myForm.get('periode').valid && myForm.get('periode')">* Harus diisi</span>
                            <span class="md-line"></span> 
                        </div>
                        <div class="col-sm-6 col-xl-6">
                        </div>
                        <div class="col-sm-6 col-xl-6 m-b-30">
                            <label class="col-form-label">Sumber Dana</label> <br/>  
                            <div style="margin-left: 20px; margin-top: -20px; margin-bottom:-20px">
                                <div class="checkbox-color checkbox-primary">
                                    <input id="check_apbd" type="checkbox"   class="col-sm-6 col-xl-6" (change)="show_apbd=!show_apbd">
                                    <label for="check_apbd">
                                        APBD
                                    </label>
                                </div> 
                                <div class="checkbox-color checkbox-primary">
                                    <input id="check_apbdnon" type="checkbox"   class="col-sm-6 col-xl-6" (change)="show_nonapbd=!show_nonapbd">
                                    <label for="check_apbdnon">
                                        Non APBD
                                    </label>
                                </div> 
                            </div>
                        </div>
                        <div class="col-sm-6 col-xl-6">
                        </div>
                        <div class="col-sm-12 col-xl-12" *ngIf="show_apbd">
                            <br/>
                            <br/>
                            <label class="col-form-label">APBD</label> 
                            <div class="row">
                                <ng-container formArrayName="apbd_detail" *ngFor="let row of myForm.get('apbd_detail').controls; let i = index;">
                                    <ng-container [formGroupName]="i">
                                        <div class="col-sm-2 col-xl-2">
                                            <label class="col-form-label">OPD</label> 
                                            <!-- <mat-select  class="form-control" placeholder="OPD" floatLabel="never" formControlName="kodeskpd"  (change)="onChangeSKPD($event, i)">
                                                <mat-option [value]="row.kodeskpd" *ngFor="let row of dataSKPD; let j=index;"> 
                                                    <div class="col-md-12 row">
                                                    <span class="col-md-12">{{ row.namaskpd }}</span> 
                                                    </div>
                                                </mat-option>  
                                            </mat-select>   -->

                                            <ng-select
                                                name="id_opd" 
                                                placeholder="Pilih OPD"
                                                [ngClass]="'ng-select'"
                                                [allowClear]="true"
                                                [options]="dataSKPD"
                                                formControlName="kodeskpd"
                                                (selected)="onChangeSKPD($event, i)">
                                            </ng-select>
                                        </div>
                                        <div class="col-sm-2 col-xl-2">
                                            <label class="col-form-label">Sub OPD (Unit OPD)</label> 
                                            <!-- <mat-select  class="form-control" placeholder="Sub OPD (Unit OPD)" floatLabel="never" formControlName="kodeskpdsub"  (change)="onChangeSKPDSub($event, i)">
                                                <mat-option [value]="row.kodeskpdsub" *ngFor="let row of dataSKPDSub[i]; let j=index;"> 
                                                    <div class="col-md-12 row">
                                                    <span class="col-md-12">{{ row.namaskpdsub }}</span> 
                                                    </div>
                                                </mat-option>  
                                            </mat-select>  --> 

                                            <ng-select
                                                name="id_sub_opd" 
                                                placeholder="Pilih Sub OPD"
                                                [ngClass]="'ng-select'"
                                                [allowClear]="true"
                                                [options]="dataSKPDSub[i]"
                                                formControlName="kodeskpdsub"
                                                (selected)="onChangeSKPDSub($event, i)">
                                            </ng-select>
                                        </div>
                                        <div class="col-sm-2 col-xl-2">
                                            <label class="col-form-label">Kegiatan</label> 
                                            <!-- <mat-select  class="form-control" placeholder="Kegiatan" floatLabel="never" formControlName="kodeprogram"  (change)="onChangeProgram($event, i)">
                                                <mat-option [value]="row.kodeprogram" *ngFor="let row of dataProgram[i]; let j=index;"> 
                                                    <div class="col-md-12 row">
                                                    <span class="col-md-12">{{ row.namaprogram }}</span> 
                                                    </div>
                                                </mat-option>  
                                            </mat-select>  -->

                                            <ng-select
                                                name="id_program" 
                                                placeholder="Pilih Kegiatan"
                                                [ngClass]="'ng-select'"
                                                [allowClear]="true"
                                                [options]="dataProgram[i]"
                                                formControlName="kodeprogram"
                                                (selected)="onChangeProgram($event, i)">
                                            </ng-select>  
                                        </div> 
                                        <div class="col-sm-3 col-xl-3">
                                            <label class="col-form-label">Sub Kegiatan</label> 
                                            <!-- <mat-select  class="form-control" placeholder="Kegiatan" floatLabel="never" formControlName="kodekegiatan"  (change)="onChangeKegiatan($event, i)">
                                                <mat-option [value]="row.kodegiat"*ngFor="let row of dataKegiatan[i]; let j=index;" > 
                                                    <div class="col-md-12 row">
                                                    <span class="col-md-12">{{ row.namagiat }}</span>
                                                    <small class="col-md-12">{{ convert.formatRupiah(row.pagu) }}</small>
                                                    <small class="col-md-12" style="color: transparent;">{{ row.idbl }}</small>
                                                    </div>
                                                </mat-option> 
                                            </mat-select>  -->

                                            <ng-select
                                                name="id_kegiatan" 
                                                placeholder="Pilih Sub Kegiatan"
                                                [ngClass]="'ng-select'"
                                                [allowClear]="true"
                                                [options]="dataKegiatan[i]"
                                                formControlName="kodekegiatan"
                                                (selected)="onChangeKegiatan($event, i)">
                                                <ng-template
                                                    #optionTemplate
                                                    let-option="option">
                                                    <span>{{ option.label }}</span><br>
                                                    <small>{{ convert.formatRupiah(option.pagu) }}</small>
                                                </ng-template>
                                            </ng-select>  
                                        </div> 
                                        <div class="col-sm-2 col-xl-2">
                                            <label class="col-form-label">Anggaran</label> 
                                            <input class="form-control autonumber" type="text" placeholder="" formControlName="pagu" readonly currencyMask [options]="{ prefix: 'Rp. ', align: 'right', decimal: ',', thousands: '.', precision: 0, allowZero: true }" />
                                            <input class="form-control" type="text" placeholder="" formControlName="idbl" style="display: none"/>
                                            <input class="form-control" type="text" placeholder="" formControlName="no" style="display: none" value="{{i}}"/>
                                        </div> 
                                        <div class="col-sm-1 col-xl-1" style="margin-top: 40px">
                                            <i class="icofont icofont-error" (click)="removeFieldValueAPBDDetail(i)" style="margin:5px; margin-top:16px; color:red"></i>
                                        </div>
                                    </ng-container>
                                </ng-container> 
                                <div class="col-sm-4 col-xl-4">
                                    <a href="" (click)="addFieldValueAPBDDetail()"> + Tambah APBD</a>
                                </div>
                            </div>
                        </div>


                        <div class="col-sm-12 col-xl-12" *ngIf="show_nonapbd">
                            <br/>
                            <br/>
                            <label class="col-form-label">Non APBD</label> 
                            <div class="row">
                                <ng-container formArrayName="nonapbd_detail" *ngFor="let row of myForm.get('nonapbd_detail').controls; let i = index;">
                                    <ng-container [formGroupName]="i">
                                        <div class="col-sm-4 col-xl-4">
                                            <label class="col-form-label">Sub Kegiatan</label>  
                                            <input class="form-control" type="text" placeholder="Sub Kegiatan" formControlName="kegiatan" />
                                            <!-- <span class="messages text-danger" *ngIf="!myForm.get('kegiatan').valid && myForm.get('kegiatan')">* Harus diisi</span> -->
                                            <!-- <span class="md-line"></span>  -->
                                        </div>
                                        <div class="col-sm-4 col-xl-4">
                                            <label class="col-form-label">Anggaran</label> 
                                            <input class="form-control autonumber" type="text" placeholder="Contoh : 1000" formControlName="anggaran" currencyMask [options]="{ prefix: 'Rp. ', align: 'right', decimal: ',', thousands: '.', precision: 0, allowZero: true }" (ngModelChange)="countNonAPBD($event, i)"/>
                                            <!-- <span class="messages text-danger" *ngIf="!myForm.get('anggaran').valid && myForm.get('anggaran')">* Harus diisi, tidak boleh negatif</span> -->
                                            <!-- <span class="md-line"></span>  -->
                                        </div>
                                        <div class="col-sm-3 col-xl-3">
                                            <label class="col-form-label">Sumber Anggaran Non APBD</label> 
                                            <input class="form-control" type="text" placeholder="Sumber Anggaran" formControlName="sumber"/>
                                            <!-- <span class="messages text-danger" *ngIf="!myForm.get('sumber').valid && myForm.get('sumber')">* Harus diisi</span> -->
                                            <!-- <span class="md-line"></span>  -->
                                            <input class="form-control" type="text" placeholder="" formControlName="no" style="display: none" value="{{i}}"/>
                                        </div>  
                                        <div class="col-sm-1 col-xl-1" style="margin-top: 40px">
                                            <i class="icofont icofont-error" (click)="removeFieldValueNonAPBDDetail(i)" style="margin:5px; margin-top:16px; color:red"></i>
                                        </div>
                                    </ng-container>
                                </ng-container> 
                                <div class="col-sm-4 col-xl-4">
                                    <a href="" (click)="addFieldValueNonAPBDDetail()"> + Tambah Non APBD</a>
                                </div>
                            </div>
                        </div> 


                        <div class="col-sm-12 col-xl-12">
                            <br/>
                            <br/>
                            <br/>
                        </div>

                        <div class="col-sm-6 col-xl-6">
                            <label class="col-form-label">Total ABPD</label> 
                            <input class="form-control autonumber" type="text" placeholder="contoh : 1000" formControlName="apbd" currencyMask [options]="{ prefix: 'Rp. ', align: 'right', decimal: ',', thousands: '.', precision: 0, allowZero: true }" readonly/>
                            <span class="messages text-danger" *ngIf="!myForm.get('apbd').valid && myForm.get('apbd')">* Harus diisi, tidak boleh negatif</span>
                            <span class="md-line"></span> 
                        </div>
                        <div class="col-sm-6 col-xl-6">
                            <label class="col-form-label">Total Non APBD</label> 
                            <input class="form-control autonumber" type="text" placeholder="contoh : 1000" formControlName="nonapbd" currencyMask [options]="{ prefix: 'Rp. ', align: 'right', decimal: ',', thousands: '.', precision: 0, allowZero: true }" readonly/>
                            <span class="messages text-danger" *ngIf="!myForm.get('nonapbd').valid && myForm.get('nonapbd')">* Harus diisi, tidak boleh negatif</span>
                            <span class="md-line"></span> 
                        </div>
                        
                        <div class="col-sm-12 col-xl-12">
                            <label class="col-form-label">Keterangan</label> 
                            <textarea class="form-control" type="text" rows="5" placeholder="contoh : Keterangan" formControlName="keterangan" style="height: 100px"></textarea>
                            <span class="messages text-danger" *ngIf="!myForm.get('keterangan').valid && myForm.get('keterangan')">* Harus diisi</span>
                            <span class="md-line"></span> 
                        </div>
                            
                    </div>
                    <br/>
                    
                    <div class="row">
                        <div class="col-sm-6 col-xl-6">
                        </div>
                        <div class="col-sm-3 col-xl-3">
                            <button class="btn btn-danger btn-md btn-block" type="button" (click)="showBack()" ><i class="icofont icofont-error"></i>Batal</button>
                        </div>
                        <div class="col-sm-3 col-xl-3">
                            <button class="btn btn-success btn-md btn-block" type="submit"  [disabled]="!myForm.valid" ><i class="icofont icofont-diskette"></i>Simpan</button>
                        </div>
                    </div>
 
                </form>
            </div>
        </div>
    </div>
    <!-- counter-card-1 end-->
</div>
